import QtQuick 2.0
import QtGraphicalEffects 1.0

Item {
    property string txt: "no scrolltext"
    property int scrollIndex: 0
    property int scrollLength: txt.length
    property int scrollFontWidth: width / 30
    property int scrollFontHeight: height / 5
    property double scrollX: 0
    Repeater {
        model: parent.width / scrollFontWidth + 1
        ScrollLetter {}
    }
    function tick() {
        scrollX -= parent.width / 80
        if(scrollX < -scrollFontWidth) {
            scrollIndex++
            scrollX = 0
        }
    }

    Component.onCompleted: {
        var doc = new XMLHttpRequest();
        doc.onreadystatechange = function() {
            if (doc.readyState === XMLHttpRequest.DONE) txt = doc.responseText
        }
        doc.open("GET", "scroll.txt");
        doc.send();
    }
}
