import QtQuick 2.0

Item {
    property variant lines: undefined
    property int writerFontWidth: width / 25
    property int writerFontHeight: height / 6
    property int writerPage: 0
    property int rows: 8
    property int columns: 20
    property double writerOpacity: 0
    Grid {
        anchors.horizontalCenter: parent.horizontalCenter
        rows: parent.rows
        columns: parent.columns
        spacing: writerFontWidth / 8
        Repeater {
            model: parent.rows * parent.columns
            WriterLetter {}
        }
    }
    Component.onCompleted: {
        var doc = new XMLHttpRequest();
        doc.onreadystatechange = function() {
            if (doc.readyState === XMLHttpRequest.DONE) {
                var txt = doc.responseText
                lines = txt.split('\n')
            }
        }
        doc.open("GET", "writer.txt");
        doc.send();
    }

    Behavior on writerOpacity { PropertyAnimation { easing.type: Easing.InOutQuad; duration: 4000 } }
    states: [ State { name: "VISIBLE" } ]
    Timer {
        running: true
        interval: 5000
        repeat: true
        onTriggered: {
            if(state=="") {
                writerPage++;
                if(writerPage >= Math.floor(lines.length / writer.rows)) writerPage = 0
                writerOpacity = 1
                state = "VISIBLE"
            } else {
                writerOpacity = 0
                state = ""
            }
        }
    }
}
