import QtQuick 2.0

Item {
    width: writerFontWidth
    height: writerFontHeight
    Text {
        anchors.centerIn: parent
        property int tx: index % writer.columns
        property int ty: Math.floor(index / writer.columns)
        font.pixelSize: writerFontHeight
        color: "white"
        styleColor: "black"
        style: Text.Outline
        text: getChar()
        font.family: "courier"
        font.bold: true
        opacity: writerOpacity*(1+writer.columns - tx)
        scale: 1.7
        Text {
            visible: false
            color: "white"
            font.pixelSize: 8
            text: tx + "," + ty + "\n" + index
        }
        function getChar() {
            if(lines === undefined) return ' '
            var lineY = ty + writerPage * writer.rows
            if(lines.length < lineY) return ' '
            var line = lines[lineY]
            if(line === undefined) return ' '
            var txt = line[tx]
            if(txt === undefined) return ' '
            return txt
        }
    }
}
