import QtQuick 2.0
import QtMultimedia 5.0

Rectangle {
    width: 800
    height: 600
    color: "black"

    // horizontti
    Rectangle {
        id: horizon
        width: parent.width
        height: parent.height / 5
        anchors.bottom: parent.verticalCenter
        gradient: Gradient {
            GradientStop { position: 0.0; color: "black" }
            GradientStop { position: 0.3; color: "blue" }
            GradientStop { position: 0.8; color: "lightblue" }
            GradientStop { position: 0.9; color: "red" }
            GradientStop { position: 1.0; color: "yellow" }
        }
    }
    Rectangle {
        width: parent.width
        anchors.top: parent.verticalCenter
        anchors.bottom: parent.bottom
        gradient: Gradient {
            GradientStop { position: 0.0; color: "white" }
            GradientStop { position: 0.3; color: "#FF9900" }
            GradientStop { position: 1.0; color: "#773300" }
        }
    }
    BarEffect {
        id: bareffect
        anchors.fill: parent
    }
    Timer {
        property double t: 0
        id: timer
        repeat: true
        running: true
        interval: 16*4
        onTriggered: {
            t += interval / 1000
            scroller.tick()
        }
    }
    Scroller {
        id: scroller
        width: parent.width
        anchors.top: parent.verticalCenter
        anchors.bottom: parent.bottom
        z: 1000
    }
    WriterEffect {
        id: writer
        width: parent.width
        height: parent.height/2
        anchors.centerIn: parent
        z: 999
    }
    Image {
        source: "logo.png"
        anchors.horizontalCenter: parent.horizontalCenter
        width: parent.width*0.7
        anchors.bottom: horizon.top
        smooth: false
        anchors.top: parent.top
        /*
        y: -height*2
        NumberAnimation on y { to: 0; duration: 5000; easing.type: Easing.OutInBounce }
*/
}
    /*
    Audio {
        id: music
        source: "ALT2.ogg"
        autoPlay: true
    }*/
    MouseArea {
        anchors.fill: parent
        onClicked: Qt.quit()
    }
    Component.onCompleted: {
        AndroidAudio.registerSound("assets:/qml/amursk-invitation/ALT2.wav", "musat");
        AndroidAudio.playSound("musat", true);
    }
}
